#
# spec file for package swaylock
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           swaylock
Version:        1.3
Release:        1.1
Summary:        Screen locker for Wayland
License:        MIT
Group:          System/GUI/Other
URL:            https://github.com/swaywm/swaylock
Source0:        https://github.com/swaywm/swaylock/archive/%{version}.tar.gz
Patch0:         swaylock-version.patch
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pam-devel
Suggests:       %{name}-bash-completion
Suggests:       %{name}-fish-completion
Suggests:       %{name}-zsh-completion
Conflicts:      sway < 1.0

%description
swaylock is a screen locking utility for Wayland compositors.

%package bash-completion
Summary:        Bash completion for %{name}
Group:          System/Shells
Requires:       %{name} = %{version}
BuildArch:      noarch

%description bash-completion
Bash command line completion support for %{name}.

%package fish-completion
Summary:        Fish completion for %{name}
Group:          System/Shells
Requires:       %{name} = %{version}
BuildArch:      noarch

%description fish-completion
Fish command line completion support for %{name}.

%package zsh-completion
Summary:        Zsh completion for %{name}
Group:          System/Shells
Requires:       %{name} = %{version}
BuildArch:      noarch
Conflicts:      sway < 1.0

%description zsh-completion
Zsh command line completion support for %{name}.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags} -I/usr/include/wayland"
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/swaylock
%{_sysconfdir}/pam.d/swaylock
%{_mandir}/man1/swaylock.1%{?ext_man}

%files bash-completion
%dir %{_datadir}/bash-completion/
%{_datadir}/bash-completion/completions

%files fish-completion
%dir %{_datadir}/fish/
%{_datadir}/fish/completions

%files zsh-completion
%dir %{_datadir}/zsh/
%{_datadir}/zsh/site-functions

%changelog
* Thu Feb  7 2019 Jan Engelhardt <jengelh@inai.de>
- Update RPM groups.
* Thu Feb  7 2019 mvetter@suse.com
- Put bash/fish/zsh completion in their own packages
* Tue Feb  5 2019 mvetter@suse.com
- Update to 1.3:
  * Implement logging and remove wlroots dependency
  * Remove VLAs
  * Log error and exit if swaylock is suid with PAM backend.
  * Handle alloc failures.
  * Make setuid error clearer.
  * Sleep on incorrect password with shadow backend.
  * Allow setting both background image and colour
  * Add option show-failed-attempts
  * Remove references to pango
  * Fix swaylock.h include directive
  * Allow image file paths to contain colons
  * Add a pam Meson option
  * Make sure we can't restore root after setuid
  * shadow: fix return in initialize_pw_backend
  * Move PAM into a child process
  * loop: fix loop_add_fd when called multiple times
  * Check password without blocking
  * Add Meson feature options
  * Simplify XDG_CONFIG_HOME handling
  * Fix vertical align of text inside the circle
* Tue Feb  5 2019 mvetter@suse.com
- Add swaylock-version.patch:
  * Set version
  * Fix include path
* Mon Feb  4 2019 mvetter@suse.com
- Initial package of swaylock 1.2 for openSUSE
